Index: /extensions/stripped/lowercase.css
===================================================================
--- /extensions/stripped/lowercase.css	(revision 12892)
+++ /extensions/stripped/lowercase.css	(revision 12893)
@@ -1,3 +1,3 @@
-#the_page , input, select, textarea, file {
+#the_page  {
 	text-transform:lowercase;
 }
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 12892)
+++ /extensions/stripped/readme.txt	(revision 12893)
@@ -31,4 +31,8 @@
 Changelog
 ---------
+
+*** version 2.0.4
+
+- several small bug fixes
 
 *** version 2.0.3
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 12892)
+++ /extensions/stripped/template/picture.tpl	(revision 12893)
@@ -105,12 +105,15 @@
 
 	{assign var='showTitle' value=false}
-	{if ($SHOW_PICTURE_NAME_ON_TITLE && (isset($COMMENT_IMG) || (($stripped.imageCaption != 'description') )))}
+	{if isset($COMMENT_IMG) and $stripped.imageCaption == 'description'}
 		{assign var='showTitle' value=true}
 	{/if}
-
-{php}
-	global $pwg_loaded_plugins;
-	$this->assign('usertags', (isset($pwg_loaded_plugins[ 'user_tags' ])));
-{/php}
+	{if isset($current.TITLE) and $stripped.imageCaption == 'title'}
+		{assign var='showTitle' value=true}
+	{/if}
+
+	{php}
+		global $pwg_loaded_plugins;
+		$this->assign('usertags', (isset($pwg_loaded_plugins[ 'user_tags' ])));
+	{/php}
 
 <div id="theImageAndTitle">
@@ -129,5 +132,5 @@
 		<div id="imageTitleContainer"><div id="imageTitle">
 			{if ($stripped.imageCaption == 'description' )}
-				{$COMMENT_IMG|strip_tags:false}
+				{$COMMENT_IMG}
 			{/if}
 			{if ($stripped.imageCaption == 'title' )}
Index: /extensions/stripped/template/thumbnails.tpl
===================================================================
--- /extensions/stripped/template/thumbnails.tpl	(revision 12892)
+++ /extensions/stripped/template/thumbnails.tpl	(revision 12893)
@@ -10,11 +10,11 @@
 			<span class="wrap1">
 				<span class="wrap2 {if !($stripped.showThumbLegend)}wrap2full{/if}">
-					<a href="{$thumbnail.URL}">
+					<a href="{$thumbnail.URL}"><div class="thumbframe"><div class="thumbpos">
 						<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" {if ((isset($thumbnail.NAME))&!($downloadMulti_loaded))}title="{$thumbnail.NAME}"{else}title="{$thumbnail.TN_TITLE}"{/if} />
 						{if (isset($stripped.imagePreload) & isset($stripped.imagePreloadThumbs))}<div class="preload" style="display:none;">{$thumbnail.FILE_PATH}</div>{/if}
-					</a>
+					</div></div></a>
 				</span>
 				<span class="thumbLegend {if !($stripped.showThumbLegend)}noLegend{/if}">
-					{if isset($thumbnail.NAME)}{$thumbnail.NAME}{/if}
+					<span class="thumbCaption">{if isset($thumbnail.NAME)}{$thumbnail.NAME}{/if}</span>
 					{if !empty($thumbnail.icon_ts)}
 						<img title="{$thumbnail.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent.png" class="icon" alt="(!)">
Index: /extensions/stripped/theme-black.css
===================================================================
--- /extensions/stripped/theme-black.css	(revision 12892)
+++ /extensions/stripped/theme-black.css	(revision 12893)
@@ -419,5 +419,5 @@
 #thePicturePage .stuffs_block { display: none;}
 
-/* No Thumb France CSS ------------------------------------------------------------------------- */
+/* No Thumb Frame CSS -------------------------------------------------------------------------- */
 
 .ntf .stuffs_block .personal_block ul.thumbnailCategories li,
@@ -455,2 +455,6 @@
 	background: none;
 }
+
+/* Misc ---------------------------------------------------------------------------------------- */
+
+#thePicturePage .Online { display: none;}
Index: /extensions/stripped/theme-white.css
===================================================================
--- /extensions/stripped/theme-white.css	(revision 12892)
+++ /extensions/stripped/theme-white.css	(revision 12893)
@@ -460,5 +460,5 @@
 #thePicturePage .stuffs_block { display: none;}
 
-/* No Thumb France CSS ------------------------------------------------------------------------- */
+/* No Thumb Frame CSS -------------------------------------------------------------------------- */
 
 .ntf .stuffs_block .personal_block ul.thumbnailCategories li,
@@ -496,2 +496,6 @@
 	background: none;
 }
+
+/* Misc ---------------------------------------------------------------------------------------- */
+
+#thePicturePage .Online { display: none;}
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 12892)
+++ /extensions/stripped/theme.css	(revision 12893)
@@ -42,6 +42,6 @@
 
 #theHeader,
-#username,
-#comments blockquote,
+.comment blockquote,
+.comment .author,
 #contenteditid,
 .additional_info,