Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 12910)
+++ /trunk/language/zh_CN/common.lang.php	(revision 12911)
@@ -61,5 +61,5 @@
 $lang['Complete RSS feed (photos, comments)'] = "完整的RSS feed(照片，评论)";
 $lang['Confirm Password'] = "确认密码";
-$lang['Connection settings'] = "连接设置";
+$lang['Connection settings'] = '注册信息';
 $lang['Login'] = "登录";
 $lang['Contact webmaster'] = "联系网站管理员";
@@ -97,10 +97,10 @@
 $lang['Posted on'] = '上传日期';
 $lang['Profile'] = '用户信息';
-$lang['Quick connect'] = '快速连接';
+$lang['Quick connect'] = '快速登录';
 $lang['RSS feed'] = 'RSS流';
 $lang['Register'] = '注册';
 $lang['Registration'] = '注册';
 $lang['Related tags'] = '关联标签';
-$lang['Reset'] = '重新设置';
+$lang['Reset'] = '重置';
 $lang['Retrieve password'] = '重新获取密码';
 $lang['Search rules'] = '搜索规则';
@@ -126,5 +126,5 @@
 $lang['all'] = '所有';
 $lang['ascending'] = '升序';
-$lang['author(s) : %s'] = '拥有者 : %s';
+$lang['author(s) : %s'] = '拥有者: %s';
 $lang['Expand all albums'] = '展开所有相册';
 $lang['posted after %s (%s)'] = '插入到 %s (%s) 之后';
@@ -145,5 +145,5 @@
 $lang['Comment'] = '评论';
 $lang['Your comment has been registered'] = '评论已保存';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = '反灌水系统 : 请稍候再发表评论';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = '反灌水系统：请稍候再发表评论';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = '由于不符合格式规定，您的评论不能被保存';
 $lang['An administrator must authorize your comment before it is visible.'] = '评论需经管理员确认才能显示在页面中。';
@@ -230,5 +230,5 @@
 $lang['photo'] = '图片';
 $lang['Click on the photo to see it in high definition'] = '点击查看大图片';
-$lang['Show file metadata'] = '显示文件的元数据';
+$lang['Show file metadata'] = '显示文件元数据';
 $lang['Powered by'] = '基于';
 $lang['Preferences'] = '使用偏好';
@@ -262,13 +262,13 @@
 $lang['Empty query. No criteria has been entered.'] = '搜索语句不能为空';
 $lang['Search results'] = '搜索结果';
-$lang['Search in sub-albums'] = '在子相册里搜索';
+$lang['Search in sub-albums'] = '在子相册中搜索';
 $lang['searched words : %s'] = '搜索词: %s';
 $lang['Contact'] = '联系';
-$lang['set as album representative'] = '设置一个相册封面';
+$lang['set as album representative'] = '设置相册封面';
 $lang['Show number of comments'] = '显示评论总数';
 $lang['Show number of hits'] = '显示查看次数';
 $lang['slideshow'] = '幻灯片放映';
 $lang['stop the slideshow'] = '停止幻灯片放映';
-$lang['Specials'] = '特别类';
+$lang['Specials'] = '快速访问';
 $lang['SQL queries in'] = 'SQL搜索语句';
 $lang['display only recently posted photos'] = '只显示最新图片';
@@ -292,9 +292,9 @@
 $lang['Comment by %s'] = '评论者 %s';
 $lang['User: %s'] = '用户: %s';
-$lang['Email: %s'] = '电子邮件: %s';
+$lang['Email: %s'] = '邮箱: %s';
 $lang['Admin: %s'] = '管理员: %s';
 $lang['Registration of %s'] = '注册 %s';
 $lang['Album: %s'] = '相册: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果游客拥有普通用户才拥有状态，请向网络管理员报告。';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果游客拥有普通用户才拥有的状态，请向管理员报告。';
 $lang['this email address is already in use'] = '此邮箱已存在';
 $lang['Album results for'] = '相册的结果';
@@ -312,6 +312,6 @@
 $lang['%d photo']='%d 张图片';
 $lang['%d photos']='%d 张图片';
-$lang['%d photo is also linked to current tags'] = '%d 张图片同时与当前标签相关';
-$lang['%d photos are also linked to current tags'] = '%d 张图片同时与当前标签相关';
+$lang['%d photo is also linked to current tags'] = '%d 张图片与当前标签相关';
+$lang['%d photos are also linked to current tags'] = '%d 张图片与当前标签相关';
 $lang['display photos linked to this tag'] = '只查看和此标签相关的图片';
 $lang['photos posted during the last %d days'] = '在最近%d天里更新的图片';
@@ -324,5 +324,5 @@
 $lang['Are you sure?'] = '确定?';
 $lang['Reset to default values'] = '重置为默认值';
-$lang['delete all photos from your favorites'] = '删除您的收藏里所有图片';
+$lang['delete all photos from your favorites'] = '删除您的收藏夹里的所有图片';
 $lang['Sent by'] = '发送于';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = '您的浏览器已关闭或者不支持Cookies. 您必须开启 cookies 才能登录.';
@@ -351,5 +351,5 @@
 $lang['Username "%s" on gallery %s'] = ' 相册 %s的用户名 "%s" ';
 $lang['To reset your password, visit the following address:'] = '请访问以下地址以对密码进行重置：';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = '如果为错误发送，请忽略本邮件，该邮件不会对您有任何影响。';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = '如果发送错误，请忽略本邮件，该邮件不会对您有任何影响。';
 $lang['Password Reset'] = '密码已重置';
 $lang['Check your email for the confirmation link'] = '请检查您邮箱中的确认链接';
@@ -358,29 +358,29 @@
 $lang['Your password has been reset'] = '您的密码已经重置';
 $lang['Return to home page'] = '返回主页';
-$lang['Please enter your username or email address.'] = '请输入您的用户名或邮件地址。';
+$lang['Please enter your username or email address.'] = '请输入您的用户名或邮件地址';
 $lang['You will receive a link to create a new password via email.'] = '您将通过邮箱收到一个新建密码链接地址。';
 $lang['Username or email'] = '用户名或邮箱地址';
 $lang['Change my password'] = '更改我的密码';
-$lang['Enter your new password below.'] = '输入您的新密码。';
-$lang['EXIF Metadata'] = 'EXIF Meta信息';
+$lang['Enter your new password below.'] = '输入您的新密码';
+$lang['EXIF Metadata'] = 'EXIF元数据';
 $lang['IPTC Metadata'] = 'IPTC Meta信息';
 $lang['Edit'] = '编辑';
 $lang['Hello %s,'] = '你好%s,';
-$lang['Here are your connection settings'] = '您的连接设置';
+$lang['Here are your connection settings'] = '您的注册信息';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = '如果您觉得您收到有邮件有误，请联系我们 %s';
-$lang['large'] = '大';
-$lang['medium'] = '中';
-$lang['original'] = '原始';
+$lang['large'] = '大尺寸';
+$lang['medium'] = '中尺寸';
+$lang['original'] = '原始尺寸';
 $lang['Password: %s'] = '密码：%s';
-$lang['Send my connection settings by email'] = '用email发送我的连接设置';
-$lang['small'] = '小';
-$lang['square'] = '方形';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '注册成功，您马上会收到一封您的连接设置邮件。欢迎！';
+$lang['Send my connection settings by email'] = '发送注册信息到我的Email';
+$lang['small'] = '小尺寸';
+$lang['square'] = '图标';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '注册成功，您马上会收到注册信息邮件。感谢您注册！';
 $lang['Thank you for registering at %s!'] = '感谢您注册%s!';
 $lang['thumb'] = '缩略图';
 $lang['Username modification'] = '修改用户名';
 $lang['Username: %s'] = '用户名：%s';
-$lang['xlarge'] = '很大';
-$lang['xxlarge'] = '非常大';
+$lang['xlarge'] = '很大尺寸';
+$lang['xxlarge'] = '非常大尺寸';
 $lang['Your username has been successfully changed to : %s'] = '您的用户名成功修改为：%s';
 ?>