Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 12917)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 12918)
@@ -639,5 +639,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktywuj pasek nawigacji z miniaturami';
 $lang['Activate icon "%s"'] = 'Aktywuj ikonę "%s"';
-$lang['Activate field "%s"'] = 'Aktywuj pole "%s"';
 $lang['Photo Properties'] = 'Właściwości zdjęcia';
 $lang['Allow user customization'] = 'Zezwól na dostosowanie przez użytkowników';
@@ -835,5 +834,15 @@
 $lang['With no album'] = 'Bez albumu';
 $lang['With no tag'] = 'Bez tagów';
-$lang['With no virtual album'] = 'Bez wirtualnego albumu'; 
+$lang['With no virtual album'] = 'Bez wirtualnego albumu';
+$lang['%s has been successfully updated.'] = '%s zostało pomyślnie zaktualizowanych.';
+$lang['Activate comments'] = 'Aktywuj komentarze';
+$lang['Default comments order'] = 'Domyślna kolejność komentarzy';
+$lang['Send connection settings by email'] = 'Wyślij ustawienia połączenia mailem';
+$lang['The original image quality must be a number between %d and %d'] = 'Oryginalna jakość musi być liczbą pomiędzy %d i %d';
+$lang['The original maximum height must be a number between %d and %d'] = ' Oryginalna maksymalna wysokość musi być liczbą pomiędzy %d i %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Oryginalna maksymalna szerokość musi być liczbą pomiędzy %d i %d';
+$lang['Resize after upload'] = 'Zmień rozmiar po wgraniu';
+$lang['Photo Sizes'] = 'Rozmiary Zdjęć';
+$lang['Original Size'] = 'Oryginalny Rozmiar';
 
 ?>
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 12917)
+++ /trunk/language/pl_PL/common.lang.php	(revision 12918)
@@ -367,3 +367,21 @@
 $lang['IPTC Metadata'] = 'Metadane IPTC';
 $lang['Edit'] = 'Edytuj';
+$lang['Hello %s,'] = 'Witaj %s,';
+$lang['Send my connection settings by email'] = 'Wyślij moje dane połączenia mailem';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Zarejestrowany pomyślnie! Wkrótce dostaniesz mail z danymi do połączenia. Witamy!';
+$lang['Username modification'] = 'Zmiana nazwy użytkownika';
+$lang['Your username has been successfully changed to : %s'] = 'Twoja nazwa użytkownika została zmieniona pomyślnie na: %s';
+$lang['square'] = 'Kwadrat';
+$lang['thumb'] = 'Thumb';
+$lang['small'] = 'Mały';
+$lang['medium'] = 'Średni';
+$lang['large'] = 'Duży';
+$lang['xlarge'] = 'Bardzo duży (XL)';
+$lang['xxlarge'] = 'Bardzo bardzo duży (XXL)';
+$lang['original'] = 'Oryginalny';
+$lang['Thank you for registering at %s!'] = 'Dziękujemy za rejestrację na %s!';
+$lang['Here are your connection settings'] = 'Dane Twojego połączenia';
+$lang['Password: %s'] = 'Hasło: %s';
+$lang['Username: %s'] = 'Nazwa użytkownika: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Jeżeli myślisz, że otrzymałeś ten mail w wyniku błędu, skontaktuj się proszę z nami tutaj %s';
 ?>
Index: /trunk/language/pl_PL/install.lang.php
===================================================================
--- /trunk/language/pl_PL/install.lang.php	(revision 12917)
+++ /trunk/language/pl_PL/install.lang.php	(revision 12918)
@@ -68,5 +68,7 @@
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Możesz pobrać plik konfiguracyjny i wgrać go do katalogu lokalnego/z konfiguracją.';
 $lang['Just another Piwigo gallery'] = 'Kolejna galeria Piwigo';
-$lang['Welcome to my photo gallery'] = 'Witaj w mojej galerii zdjęć'; 
+$lang['Welcome to my photo gallery'] = 'Witaj w mojej galerii zdjęć';
+$lang['Welcome to your new installation of Piwigo!'] = 'Witamy w Towjej nowej instalacji Piwigo!';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Nie obawiaj się kontaktu na forum w celu skorzystania z pomocy: %s';
 
 ?>