Index: /trunk/language/uk_UA/admin.lang.php
===================================================================
--- /trunk/language/uk_UA/admin.lang.php	(revision 12934)
+++ /trunk/language/uk_UA/admin.lang.php	(revision 12935)
@@ -105,5 +105,4 @@
 $lang['Action'] = 'Дія';
 $lang['Actions'] = 'Дії';
-$lang['Activate field "%s"'] = 'Активувати поле "%s"';
 $lang['Activate icon "%s"'] = 'Активувати значок "%s"';
 $lang['Activate Navigation Bar'] = 'Активувати панель навігації';
@@ -284,5 +283,4 @@
 $lang['generate file listing.xml on remote site'] = 'генерувати файл listing.xml на віддаленому сайті';
 $lang['generate listing'] = 'генерувати лістинг';
-$lang['generated in'] = 'згенерований в';
 $lang['Get Support on Piwigo Forum'] = 'Отримати підтримку на форумі Piwigo';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Надайте право запису (chmod 777) директорії "%s" в кореневому каталозі установки Piwigo';
@@ -310,5 +308,4 @@
 $lang['High definition enabled'] = 'Висока чіткість включена';
 $lang['High definition'] = 'Висока чіткість';
-$lang['High filesize'] = 'Висока роздільна здатність файлу';
 $lang['high'] = 'високий';
 $lang['History'] = 'Історія';
@@ -344,9 +341,7 @@
 $lang['Manual order'] = 'Саморуч встановлений порядок';
 $lang['manual order'] = 'саморуч встановлений порядок';
-$lang['max time'] = 'максимальний час';
 $lang['Deactivate all'] = 'Деактивувати все';
 $lang['No file was uploaded'] = 'Файл не був завантажений';
 $lang['No mail to send.'] = 'Немає пошти для відправки.';
-$lang['No missing thumbnail'] = 'Немає відсутніх іконок';
 $lang['No photo selected, %d photos in current set'] = 'Немає виділених фотографій, %d фото в поточному наборі';
 $lang['No photo selected, no action possible.'] = 'Немає виділених фотографій, немає можливих дій.';
@@ -367,7 +362,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Оптимізації були завершені з деякими помилками.';
 $lang['Optional URL keyword'] = "Необов'язкове ключове слово URL";
-$lang['maximum height'] = 'Максимальна висота';
 $lang['Maximum Height'] = 'Максимальна висота';
-$lang['maximum width'] = 'Максимальна ширина';
 $lang['Maximum Width'] = 'Максимальна ширина';
 $lang['Members'] = 'Члени';
@@ -375,5 +368,4 @@
 $lang['Metadata synchronization results'] = 'Результати синхронізації метаданих';
 $lang['Metadata synchronized from file'] = 'Метадані синхронізовані з файлу';
-$lang['min time'] = 'мін. час';
 $lang['Minimum privacy level'] = 'Мінімальний рівень приватності';
 $lang['Miscellaneous'] = 'Різне';
@@ -433,5 +425,4 @@
 $lang['Photo informations updated'] = 'Інформацію про світлину оновлено';
 $lang['Photo unreachable or no support'] = 'Світлина недоступна або непідтримуваний формат';
-$lang['photos without thumbnail (jpeg and png only)'] = 'Світлини без мініатюр (jpeg і png тільки)';
 $lang['Piwigo Administration'] = 'Керування Piwigo';
 $lang['Piwigo Announcements Newsletter'] = 'Розсилка оголошень Piwigo';
@@ -485,5 +476,4 @@
 $lang['This site already exists'] = 'Цей сайт вже існує';
 $lang['This theme was not designed to be directly activated'] = 'Ця тема не була призначена для безпосереднього активування';
-$lang['Thumbnail creation'] = 'Створення мініатюри';
 $lang['Thumbnail'] = 'Мініатюра';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Час для відправки пошти обмежений. Інші листи були пропущені.';
@@ -520,5 +510,4 @@
 $lang['Selection'] = 'Вибір';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Відновлення конфігурації за замовчуванням. Ви втратите налаштування плагіна!';
-$lang['Results of miniaturization'] = 'Результати процесу мініатюризації';
 $lang['Send an information email to group members'] = 'Надіслати інформаційний лист членам групи';
 $lang['Send mail as'] = 'Надіслати лист як';
@@ -613,15 +602,30 @@
 $lang['Height'] = 'Висота';
 $lang['hide details'] = 'приховати деталі';
-$lang['High dimensions'] = 'Розміри високої роздільної здатності';
 $lang['Hoverbox display'] = 'Відображати маркерну рамку';
 $lang['I decide to update anyway'] = 'Я таки вирішив оновити';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Якшо нема HD-зображення і поточний веб-розмір більший за нові розміри, Piwigo перемістить його як HD і створить зменьшене до веб-розміру зображення.';
 $lang['If you encounter problems or have any question, please send a message to'] = 'Якшо у Вас виникли проблеми або запитання, надішлить повідомлення до';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Якшо Ви бажаєте заново створити ескізи, перейдіть до <a href="%s">Пакетний Менеджер</a>.';
 $lang['Ignore All'] = 'Ігнорувати Всі';
 $lang['Ignore selected anomalies'] = 'Ігнорувати обрані аномалії';
 $lang['Ignore this update'] = 'Ігнорувати це оновлення';
 $lang['Image id'] = 'Ідентифікатор зображення';
-$lang['Image Quality'] = 'Якість зображення'; 
+$lang['Image Quality'] = 'Якість зображення';
+$lang['jump to album'] = 'перейти до альбому';
+$lang['jump to photo'] = 'перейти до фото';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Залишайтесь з пректом Piwigo, підпишіться на інформаційний бюлетень Piwigo Announcement. Ви будуте одержувати повідомлення коли новий реліз буде доступний (час від часу з виправленням помилок в системі безпеки, це важливо знати і оновлювати) і коли значні події відбуваються з проектом. Лише кілька повідомлень на рік.';
+$lang['Language has been successfully installed'] = 'Мову було успішно встановлено';
+$lang['Languages which need upgrade'] = 'Мови що потребують оновлення';
+$lang['Languages'] = 'Мови';
+$lang['Last hit'] = 'Останне влучення';
+$lang['Last import'] = 'Останній імпорт';
+$lang['Last revisions'] = 'Останні зміни';
+$lang['Last send'] = 'Останне відіслане';
+$lang['Learn more'] = 'Дізнатися більше';
+$lang['leave'] = 'покинути';
+$lang['Level 0'] = '---';
+$lang['Level 1'] = 'Контакти';
+$lang['Level 2'] = 'Друзі';
+$lang['Level 4'] = 'Родина';
+$lang['Level 8'] = 'Адміністратори'; 
 
 ?>