Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 12935)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 12936)
@@ -221,6 +221,4 @@
 $lang['manage sub-albums'] = 'Spravovať položky podalbumov';
 $lang['Manage'] = 'Správa';
-$lang['maximum height'] = 'maximálna výška';
-$lang['maximum width'] = 'maximálna šírka';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Vykonávanie operácie prekročilo povolený čas, spracovanie musí pokračovať [zostávajúci čas: %d sekundu].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Vykonávanie prekročilo maximálny čas, spracovanie musí pokračovať [zostávajúci čas: %d sekúnd].';
@@ -337,20 +335,12 @@
 $lang['User list'] = 'Zoznam používateľov';
 $lang['Edit photo information'] = 'Upraviť informácie o fotografii';
-$lang['Thumbnail creation'] = 'Vytvoriť náhľad';
 $lang['Database synchronization with files'] = 'Synchronizácia databázy so súbormi';
 $lang['all'] = 'všetko';
-$lang['photos without thumbnail (jpeg and png only)'] = 'fotografie bez náhľadu (len jpeg alebo png)';
 $lang['height must be a number superior to'] = 'výška musí byť väčšia ako';
 $lang['width must be a number superior to'] = 'šírka musí byť väčšia ako';
 $lang['for the file format'] = 'pre formát súboru';
-$lang['No missing thumbnail'] = 'Nechýba žiaden náhľad';
 $lang['Photo unreachable or no support'] = 'Fotografia nie je dostupná alebo podporovaná';
-$lang['GD version'] = 'Verzia GD knihovne';
-$lang['generated in'] = 'generované behom';
-$lang['Results of miniaturization'] = 'Výsledky miniaturizácie';
 $lang['General statistics'] = 'Celková štatistika';
-$lang['max time'] = 'najdlhší čas';
 $lang['average time'] = 'priemerný čas';
-$lang['min time'] = 'najkratší čas';
 $lang['number of miniaturized photos'] = 'počet miniaturizovaných fotografií';
 $lang['total time'] = 'celkový čas';
@@ -443,5 +433,4 @@
 $lang['guest'] = 'hosť';
 $lang['default values'] = 'východzie hodnoty';
-$lang['High filesize'] = 'Príliš veľký súbor';
 $lang['Guest cannot be deleted'] = 'Používateľa hosť nie je možné vymazať';
 $lang['Default user cannot be deleted'] = 'Východzieho používateľa nie je možné vymazať';
@@ -639,5 +628,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktivovať navigačné náhľady';
 $lang['Activate icon "%s"'] = 'Aktivovať ikonu "%s"';
-$lang['Activate field "%s"'] = 'Aktivovať pole "%s"';
 $lang['Photo Properties'] = 'Vlastnosti fotografie';
 $lang['Allow user customization'] = 'Povoliť používateľskú úpravu nastavení';
@@ -791,5 +779,4 @@
 $lang['Height'] = 'Výška';
 $lang['Follow Orientation'] = 'Nasledovať orientáciu';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Ak chcete obnoviť náhľady, prosím choďte na <a href="%s">Správcu dávky</a>.';
 $lang['Graphics Library'] = 'Grafická knižnica';
 $lang['Activate icon "new" next to albums and pictures'] = 'Aktivovať ikonu "new" pre ďalšie albumy a fotky'; 
@@ -831,5 +818,4 @@
 $lang['%s has been successfully updated.'] = '%s bol úspešne aktualizovaný.'; 
 $lang['Add tags'] = 'Pridať kľúčové slová'; 
-$lang['High dimensions'] = 'Veľkosť s vysokým rozlíšením'; 
 $lang['Last import'] = 'Ostatný import'; 
 $lang['Predefined filter'] = 'Predefinovaný filter'; 
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 12935)
+++ /trunk/language/sk_SK/common.lang.php	(revision 12936)
@@ -372,4 +372,22 @@
 $lang['IPTC Metadata'] = 'IPTC Metadata';
 $lang['Edit'] = 'Upraviť';
+$lang['Hello %s,'] = 'Ahoj %s,';
+$lang['Send my connection settings by email'] = 'Odoslať moje nastavenia pripojenia emailom';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Úspešná registrácia, obdržíte email s Vašimi nastaveniami pripojenia. Vitajte!';
+$lang['Username modification'] = 'Zmena používateľského mena';
+$lang['Your username has been successfully changed to : %s'] = 'Vaše používateľské meno bolo úspešne zmenené na : %s';
+$lang['square'] = 'Štvorec';
+$lang['thumb'] = 'Náhľad';
+$lang['small'] = 'Malý';
+$lang['medium'] = 'Stredný';
+$lang['large'] = 'Veľký';
+$lang['xlarge'] = 'Väčší';
+$lang['xxlarge'] = 'Najväčší';
+$lang['original'] = 'Originál';
+$lang['Thank you for registering at %s!'] = 'Ďakujeme za registráciu na %s!';
+$lang['Here are your connection settings'] = 'Tu je Vaše nastavenie pripojenia';
+$lang['Password: %s'] = 'Heslo: %s';
+$lang['Username: %s'] = 'Používateľské meno: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Ak si myslíte, že tento mail ste dostali chybne, kontaktujte nás prosím na %s';
 
 ?>