Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 12939)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 12940)
@@ -173,5 +173,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Bạn không thể dời một đề mục vào trong đề mục con của chính nó.';
 $lang['You need to confirm deletion'] = 'Bạn cần được xác nhận để xoá';
-$lang['add tags'] = 'Thêm các tags';
 $lang['Associate to album'] = 'Kết hợp với đề mục';
 $lang['associate to group'] = 'kết hợp với nhóm người dùng';
@@ -221,6 +220,4 @@
 $lang['manage sub-albums'] = 'quản lý các đề mục con';
 $lang['Manage'] = 'Quản lý';
-$lang['maximum height'] = 'Chiều cao tối đa';
-$lang['maximum width'] = 'Chiều rộng tối đa';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
@@ -338,20 +335,13 @@
 $lang['User list'] = 'Danh sách thành viên';
 $lang['Edit photo information'] = 'Chỉnh sửa thông tin của hình ảnh';
-$lang['Thumbnail creation'] = 'Khởi tạo hình thu nhỏ';
 $lang['Database synchronization with files'] = 'Đồng bộ hóa cơ sở dữ liệu với tệp tin';
 $lang['all'] = 'tất cả';
-$lang['photos without thumbnail (jpeg and png only)'] = 'hình ảnh không có hình thu nhỏ (chỉ áp dụng cho định dạng jpeg và png)';
 $lang['height must be a number superior to'] = 'chiều cao hình phải là số lớn hơn';
 $lang['width must be a number superior to'] = 'chiều rộng hình phải là số lớn hơn';
 $lang['for the file format'] = 'dành cho định dạng file';
-$lang['No missing thumbnail'] = 'Không thiếu hình thu nhỏ nào';
 $lang['Photo unreachable or no support'] = 'Hình không đọc được hoặc định dạng không được hỗ trợ';
 $lang['GD version'] = 'Phiên bản GD';
-$lang['generated in'] = 'được tạo trong';
-$lang['Results of miniaturization'] = 'Kết quả tổi thiểu hóa';
 $lang['General statistics'] = 'Thống kê tổng quát';
-$lang['max time'] = 'thời gian lớn nhất';
 $lang['average time'] = 'thời gian trung bình';
-$lang['min time'] = 'thời gian nhỏ nhất';
 $lang['number of miniaturized photos'] = 'số lượng hình ảnh được tối thiểu hóa';
 $lang['total time'] = 'thời gian tổng cộng';
@@ -412,5 +402,4 @@
 $lang['Toggle \'default group\' property'] = 'Dịch chuyển \'nhóm mặc định\' thuộc tính';
 $lang['Advanced features'] = 'Đặc điểm vượt trội';
-$lang['Specials'] = 'Đặc biệt';
 $lang['Overall'] = 'Toàn bộ';
 $lang['Year'] = 'Năm';
@@ -446,6 +435,4 @@
 $lang['guest'] = 'khách';
 $lang['default values'] = 'giá trị mặc định';
-$lang['High filesize'] = 'Chiều cao kích thước file';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Tài khoản khách không thể bị xóa';
 $lang['Default user cannot be deleted'] = 'Người dùng mặc định không thể bị xóa';
@@ -478,5 +465,4 @@
 $lang['Status of user "%s" updated'] = 'Trạng thái của người dùng "%s" đã được cập nhật';
 $lang['add new photos to caddie'] = 'thêm thành phần mới vào caddie';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = 'Không hiển thị';
 $lang['Classic display'] = 'Hiển thị kiểu classic';
@@ -506,9 +492,7 @@
 $lang['Other plugins'] = 'Các plugins khác';
 $lang['Last revisions'] = 'Lần sửa đổi cuối';
-$lang['Delete'] = 'Xóa bỏ';
 $lang['Are you sure you want to delete this plugin?'] = 'Bạn có chắc là muốn xóa bỏ plugin này không?';
 $lang['Are you sure you want to install this plugin?'] = 'Bạn có chắc là muốn cài đặt plugin này không?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Bạn có chắc là muốn cài đặt bản nâng cấp này? Bạn phải xác nhận nếu phiên bản này không yêu cầu phải tháo bỏ phiên bản cũ.';
-$lang['%s has been successfully upgraded.'] = 'Plugin tên %s đã được nâng cấp thành công.';
 $lang['Plugin has been successfully copied'] = 'Plugin đã được copy xong';
 $lang['You might go to plugin list to install and activate it.'] = 'Bạn nen vào danh sách các plugin để cài đặt và kích hoạt nó.';
@@ -563,5 +547,4 @@
 $lang['Released on'] = 'Phát hành vào';
 $lang['Number of downloads'] = 'Số lần download';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Bản tin Piwigo';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Giữ liên lạc với Piwigo Project, đăng ký nhận bản tin từ Piwigo. Bạn sẽ nhận được email mỗi khi phiên bản mới được phát hành (đôi khi cũng bao gồm bản sửa lỗi, cần thiết để biết và cập nhật) và khi sự kiện chính xảy ra đối với dự án. Chỉ có vài email trong một năm.';
@@ -577,5 +560,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Thiếu mật khẩu. Vui lòng nhập mật khẩu.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Xác nhận mật khẩu bị thiếu. Vui lòng xác nhận lại mật khẩu đã chọn.';
-$lang['Password confirmation error.'] = 'Lỗi xác nhận mật khẩu.';
 $lang['Allow users to edit their own comments'] = 'Cho phép người dùng chỉnh sửa lời bình luận riêng của họ';
 $lang['Allow users to delete their own comments'] = 'Cho phép người dùng xóa lời bình luận riêng của họ';
@@ -649,5 +631,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Kích hoạt hình thu nhỏ điều hướng trang';
 $lang['Activate icon "%s"'] = 'Kích hoạt biểu tượng "%s"';
-$lang['Activate field "%s"'] = 'Kích hoạt trường "%s"';
 $lang['Photo Properties'] = 'Thuộc tính ảnh';
 $lang['Allow user customization'] = 'Cho phép người dùng tùy biến ';
@@ -717,7 +698,4 @@
 $lang['All %d photos are selected'] = 'Tất cả %d hình đều được chọn';
 $lang['remove this filter'] = 'bỏ bộ lọc này';
-$lang['predefined filter'] = 'xác định trước bộ lọc';
-$lang['last import'] = 'lần nhập hình cuối';
-$lang['with no virtual album'] = 'với không album nào';
 $lang['Duplicates'] = 'trùng';
 $lang['Add a filter'] = 'thêm bộ lọc';
@@ -734,6 +712,4 @@
 $lang['Type here the title'] = 'Nhập tiêu đề vào đây';
 $lang['remove creation date'] = 'bỏ ngày tháng khởi tạo';
-$lang['with no album'] = 'với không album hình nào';
-$lang['with no tag'] = 'với không thẻ nào';
 $lang['Album photos associated to the following albums: %s'] = 'Ảnh được kết hợp với những albums sau: %s';
 $lang['Delete orphan tags'] = 'Xóa các thẻ riêng lẽ';
@@ -802,5 +778,4 @@
 $lang['Height'] = 'Chiều cao';
 $lang['Follow Orientation'] = 'Định hướng Dõi theo';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Nếu bạn muốn tái tạo lại các hình thu nhỏ, hãy trỏ đến mục <a href="%s">Quản lý Khối</a>.';
 $lang['Graphics Library'] = 'Thư viện Đồ họa';
 $lang['Activate icon "new" next to albums and pictures'] = 'Kích hoạt biểu tượng "ảnh mới" kế bên albums ảnh và hình';
@@ -839,4 +814,22 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo không thể nhận được tệp tin nâng cấp từ  máy chủ';
 $lang['Zoom'] = 'Phóng to ảnh';
+$lang['Add to caddie'] = 'thêm vào caddie';
+$lang['%s has been successfully updated.'] = '%s cập nhật thành công.';
+$lang['Activate comments'] = 'Kích hoạt lời bình';
+$lang['Add tags'] = 'Bổ sung thẻ';
+$lang['Default comments order'] = 'Sắp xếp lời bình theo mặc định';
+$lang['Last import'] = 'Nhập sau cùng';
+$lang['Photo name'] = 'Tên ảnh';
+$lang['Predefined filter'] = 'Bộ lọc được định nghĩa trước';
+$lang['Send connection settings by email'] = 'Gởi thiết lập kết nối qua email';
+$lang['The original image quality must be a number between %d and %d'] = 'Chất lượng hình gốc phải là một số nằm giữa %d và %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'Chiều cao gốc tối đa phải là một số nằm giữa %d và %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Chiều rộng gốc tối đa phải là một số nằm giữa %d và %d';
+$lang['With no album'] = 'Không kèm theo album ảnh';
+$lang['With no tag'] = 'Không kèm theo thẻ';
+$lang['With no virtual album'] = 'Không kèm theo album ảnh ảo';
+$lang['Resize after upload'] = 'Điều chỉnh kích thước sau khi gởi ảnh';
+$lang['Photo Sizes'] = 'Kích thước ảnh';
+$lang['Original Size'] = 'Kích thước gốc';
 
 ?>
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 12939)
+++ /trunk/language/vi_VN/common.lang.php	(revision 12940)
@@ -121,5 +121,4 @@
 $lang['About Piwigo'] = 'Thông tin về Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Bạn không được phép truy cập vào trang này';
-$lang['Add to caddie'] = 'thêm vào caddie';
 $lang['add this photo to your favorites'] = 'thêm hình này vào danh sách ưa thích của mình';
 $lang['Administration'] = 'Điều hành viên';
@@ -134,5 +133,4 @@
 $lang['Best rated'] = 'Hình được đánh giá tốt nhất';
 $lang['display best rated photos'] = 'hiển thị các hình được đánh giá tốt nhất';
-$lang['caddie'] = 'caddie';
 $lang['Calendar'] = 'Xem hình theo lịch';
 $lang['All'] = 'Tất cả';
@@ -364,4 +362,22 @@
 $lang['EXIF Metadata'] = 'Lý lịch dữ liệu EXIF';
 $lang['IPTC Metadata'] = 'Lý lịch dữ liệu IPTC';
+$lang['Edit'] = 'Biên tập';
+$lang['Hello %s,'] = 'Xin chào %s,';
+$lang['Send my connection settings by email'] = 'Gởi thiết lập kết nối của tôi qua email';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Đã đăng ký thành công, bạn sẽ nhận được ngay email kèm theo thiết lập kết nối. Xin chào mừng!';
+$lang['Username modification'] = 'Điều chỉnh tên đăng nhập';
+$lang['Your username has been successfully changed to : %s'] = 'Tên đăng nhập của bạn đã được đổi sang : %s thành công';
+$lang['thumb'] = 'Hình thu nhỏ';
+$lang['small'] = 'Nhỏ';
+$lang['medium'] = 'Vừa';
+$lang['large'] = 'Lớn';
+$lang['xlarge'] = 'Rất lớn';
+$lang['xxlarge'] = 'Cực lớn';
+$lang['original'] = 'Bản gốc';
+$lang['Thank you for registering at %s!'] = 'Cảm ơn bạn đã đăng ký tại %s!';
+$lang['Here are your connection settings'] = 'Đây là thiết lập kết nối của bạn';
+$lang['Password: %s'] = 'Mật khẩu: %s';
+$lang['Username: %s'] = 'Tên đăng nhập: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Nếu bạn nghĩ bạn đã nhận nhầm emai, vui lòng liên hệ với chúng tôi qua %s';
 
 ?>
Index: /trunk/language/vi_VN/install.lang.php
===================================================================
--- /trunk/language/vi_VN/install.lang.php	(revision 12939)
+++ /trunk/language/vi_VN/install.lang.php	(revision 12940)
@@ -54,5 +54,4 @@
 $lang['Webmaster mail address'] = 'Địa chỉ thư điện tử của Webmaster';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Khách tham quan có thể liên lạc với Quản trị thông qua địa chỉ thư điện tử này.';
-
 $lang['PHP 5 is required'] = 'Phải có PHP 5 ';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Do máy chủ web của bạn đang chạy phiên bản PHP  %s.';
@@ -71,3 +70,5 @@
 $lang['Just another Piwigo gallery'] = 'Lại thêm một thư viện Piwigo nữa';
 $lang['Welcome to my photo gallery'] = 'Chào mừng bạn đến với thư viện hình của tôi';
+$lang['Welcome to your new installation of Piwigo!'] = 'Chào mừng bạn đến với bản cài đặt mới của Piwigo!';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Đừng do dự  thảo luận tại diễn đàn của chúng tôi để được trợ giúp: %s';
 ?>