Index: extensions/stripped/language/zh_CN/theme.lang.php
===================================================================
--- extensions/stripped/language/zh_CN/theme.lang.php	(revision 12949)
+++ extensions/stripped/language/zh_CN/theme.lang.php	(revision 12949)
@@ -0,0 +1,59 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Activate image preloading'] = '激活图片预加载';
+$lang['Additional bottom margin after resize'] = '缩放后底部留出一定边缘';
+$lang['Animate menu'] = '动画菜单效果';
+$lang['Animate tabs on picture page'] = '图片页面显示动画标签';
+$lang['Default tab to be displayed'] = '显示默认标签';
+$lang['Display frame around image'] = '图片周围显示边框';
+$lang['Display frame around thumbnails'] = '缩略图显示边框';
+$lang['fit to screen'] = '适合屏幕';
+$lang['Force text to lowercase'] = '文本全部小写';
+$lang['full size'] = '全尺寸';
+$lang['GMap'] = '地图';
+$lang['HD picture default display'] = '默认显示HD图片';
+$lang['Hide menu by default on category page'] = '目录页默认隐藏菜单';
+$lang['Image autosize options'] = '图片自动缩放选项';
+$lang['Image preloading options'] = '图片预加载选项';
+$lang['Include title after resize'] = '缩放后包含标题高度';
+$lang['Information'] = '信息';
+$lang['Interface options'] = '界面选项';
+$lang['Interface style'] = '界面样式';
+$lang['Last displayed'] = '显示最后的';
+$lang['Metadata'] = '元数据';
+$lang['Minimum image height after resize'] = '缩放后最小图片高度';
+$lang['On picture page, number of next images to preload'] = '在图片页，预加载的图片数';
+$lang['Picture page options'] = '图片页选项';
+$lang['Preload images on thumbnails page'] = '在缩略图页预加载的图片';
+$lang['Property to display below picture'] = '属性显示在图片下方';
+$lang['Resize image to fit window'] = '缩放图片适合窗口';
+$lang['Show image title on top of the page (after browse path)'] = '在图片上方显示图片标题(在浏览路径之后)';
+$lang['Show Information tab only to admins'] = '只对管理员显示信息标签';
+$lang['Show thumbnail caption'] = '显示缩略图标题';
+$lang['Show/hide menu'] = '显示/隐藏菜单';
+$lang['stripped Configuration updated'] = '选项更新成功';
+$lang['Title'] = '标题';
+$lang['Use navigation arrows on picture'] = '在图片上使用导航箭头';
+$lang['Use navigation arrows outside picture'] = '在图片外使用导航箭头';
+$lang['validate'] = '有效';
+?>