Index: trunk/language/ar_SA/admin.lang.php
===================================================================
--- trunk/language/ar_SA/admin.lang.php	(revision 12957)
+++ trunk/language/ar_SA/admin.lang.php	(revision 12959)
@@ -221,6 +221,4 @@
 $lang['manage sub-albums'] = 'صور الألبوم الفرعي';
 $lang['Manage'] = 'إدارة';
-$lang['maximum height'] = 'الارتفاع الاقصى';
-$lang['maximum width'] = 'العرض الاقصى';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = ' أستنفذت الوقت المتاح للتنفيذ وهو %d دقيقة';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'أستنفذت الوقت المتاح للتنفيذ وهو %d دقائق';
@@ -338,20 +336,13 @@
 $lang['User list'] = 'قائمة المستخدم';
 $lang['Edit photo information'] = 'تعديل معلومات عن الصورة';
-$lang['Thumbnail creation'] = 'إنشاء المصغرات';
 $lang['Database synchronization with files'] = 'قاعدة بيانت المزامنة مع الملفات';
 $lang['all'] = 'الكل';
-$lang['photos without thumbnail (jpeg and png only)'] = 'صور بدون مصغرات(jpeg و png فقط)';
 $lang['height must be a number superior to'] = 'يجب عن يكون عدد الارتفاع يتعدى';
 $lang['width must be a number superior to'] = 'يجب ان يكون عدد العرض يتعدى';
 $lang['for the file format'] = 'لتنسيق الملف';
-$lang['No missing thumbnail'] = 'لا حاجة لاعادة صنع  مصغرات في الوقت الحالي';
 $lang['Photo unreachable or no support'] = 'صور لا يمكن الوصول لها او لم تدعم';
 $lang['GD version'] = 'GD أصدار';
-$lang['generated in'] = 'إنشأت في ..';
-$lang['Results of miniaturization'] = 'نتائج التصغير';
 $lang['General statistics'] = 'الاحصائيات العامة';
-$lang['max time'] = 'الوقت الاقصى';
 $lang['average time'] = 'متوسط الوقت';
-$lang['min time'] = 'الوقت الأساسي';
 $lang['number of miniaturized photos'] = 'عدد الصور المصغرة';
 $lang['total time'] = 'الوقت الكلي';
@@ -445,5 +436,4 @@
 $lang['guest'] = 'ضيف';
 $lang['default values'] = 'قيم أفتراضية';
-$lang['High filesize'] = 'ارتفاع حجم الملف';
 $lang['Guest cannot be deleted'] = 'هل انت جاد بطرد الضيف و حذفه (لايمكن ذلك)';
 $lang['Default user cannot be deleted'] = 'المستخدم الافتراضي لا يمكن حذفه';
@@ -642,5 +632,4 @@
 $lang['Activate Navigation Thumbnails'] = 'تنشيط امكانية المشاهدة عن طريق المصغرات أسف صفحة الصورة';
 $lang['Activate icon "%s"'] = 'اظهار ايقونة  "%s"';
-$lang['Activate field "%s"'] = '"%s"تنشيط الحقل ';
 $lang['Photo Properties'] = 'خصائص الصور';
 $lang['Allow user customization'] = 'السماح للمستخدم بتغيير خصائص العرض';
@@ -805,3 +794,15 @@
 $lang['Last import'] = 'الاستيراد الاخير';
 $lang['Manage Permissions'] = 'اداره التصاريح';
+$lang['Activate comments'] = 'فعل التعليقات';
+$lang['Activate icon "new" next to albums and pictures'] = 'فعل ايقونه "جديد" بجانب الالبومات و الصور';
+$lang['Default comments order'] = 'الوضع الافتراضي للتعليقات';
+$lang['Maximum file size: %sB.'] = 'الحد الآعلى لحجم الملف : %sB. ';
+$lang['Merge selected tags'] = 'دمج الكلمات الدلائليه المختاره';
+$lang['Merge tags'] = 'دمج الكلمات الدلائليه';
+$lang['Photo %s of %s'] = 'صوره %s من %s';
+$lang['Photo name'] = 'آسم الصوره ';
+$lang['Photos generation in progress...'] = 'يتم معالجة  مجموعه الصور ..';
+$lang['Restore'] = 'استعاده';
+$lang['Select an album'] = 'اختيار الالبوم';
+$lang['Select at least two tags for merging'] = 'اختر آخر كلمتين دلاليتين للدمج';
 ?>