Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 12961)
+++ /trunk/language/da_DK/admin.lang.php	(revision 12962)
@@ -40,73 +40,73 @@
 $lang['%d tag'] = '%d tag';
 $lang['%d tags'] = '%d tags';
-$lang['%d user comment rejected']     =     ' %d bruger kommentar afvist';
-$lang['%d user comments rejected']     =     ' %d bruger bemærkninger avist';
-$lang['%d user comment validated']     =     ' %d bruger kommentar valideret';
-$lang['%d user comments validated']     =     ' %d bruger kommentarer valideret';
-$lang['%d user deleted']     =     ' %d bruger slettet';
-$lang['%d users deleted']     =     ' %d brugere slettet';
-$lang['%d user']     =     ' %d bruger';
-$lang['%d users']     =     ' %d brugere';
-$lang['%d waiting for validation']     =     ' %d venter på validering';
-$lang['Actions']     =     'Handlinger';
-$lang['Activate']     =     'Aktiver';
-$lang['Add/delete a permalink']     =     'Tilføj / slette en permalink';
-$lang['Add a tag']     =     'Tilføj et tag';
-$lang['Add a user']     =     'Tilføj en bruger';
-$lang['Add group']     =     'Tilføj Gruppe';
-$lang['Add']     =     'Tilføj';
-$lang['Allow user registration']     =     'Tillad bruger registrering';
-$lang['Apply to sub-albums']     =     'Anvend på underkategorier';
-$lang['Associated']     =     'Associeret';
-$lang['Caddie management']     =     'Caddie forvaltning';
-$lang['Caddie']     =     'Caddie';
-$lang['Albums authorized thanks to group associations']     =     'Kategorier tilladelse takket være gruppe tilknytninger';
-$lang['Album manual order was saved']     =     'Kategorier manual ordre er blevet gemt';
-$lang['Check for upgrade failed for unknown reasons.']     =     'Check for opgradering mislykkedes af ukendte årsager.';
+$lang['%d user comment rejected'] = ' %d bruger kommentar afvist';
+$lang['%d user comments rejected'] = ' %d bruger bemærkninger avist';
+$lang['%d user comment validated'] = ' %d bruger kommentar valideret';
+$lang['%d user comments validated'] = ' %d bruger kommentarer valideret';
+$lang['%d user deleted'] = ' %d bruger slettet';
+$lang['%d users deleted'] = ' %d brugere slettet';
+$lang['%d user'] = ' %d bruger';
+$lang['%d users'] = ' %d brugere';
+$lang['%d waiting for validation'] = ' %d venter på validering';
+$lang['Actions'] = 'Handlinger';
+$lang['Activate'] = 'Aktiver';
+$lang['Add/delete a permalink'] = 'Tilføj / slette en permalink';
+$lang['Add a tag'] = 'Tilføj et tag';
+$lang['Add a user'] = 'Tilføj en bruger';
+$lang['Add group'] = 'Tilføj Gruppe';
+$lang['Add'] = 'Tilføj';
+$lang['Allow user registration'] = 'Tillad bruger registrering';
+$lang['Apply to sub-albums'] = 'Anvend på underkategorier';
+$lang['Associated'] = 'Associeret';
+$lang['Caddie management'] = 'Caddie forvaltning';
+$lang['Caddie'] = 'Caddie';
+$lang['Albums authorized thanks to group associations'] = 'Kategorier tilladelse takket være gruppe tilknytninger';
+$lang['Album manual order was saved'] = 'Kategorier manual ordre er blevet gemt';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Check for opgradering mislykkedes af ukendte årsager.';
 $lang['Check for upgrade'] = 'Tjek efter opgradering';
-$lang['Comments for all']     =     'Kommentarer til alle';
-$lang['Current name']     =     'Nuværende navn';
-$lang['Database']     =     'Database';
-$lang['Deactivate']     =     'Deaktiver';
-$lang['Delete Representant']     =     'Slet Representant';
-$lang['Delete selected tags']     =     'Slet valgte tags';
-$lang['Delete selected users']     =     'Slet valgte brugere';
-$lang['Deletions']     =     'Sletninger';
-$lang['Deny selected groups']     =     'Forbyd udvalgte grupper';
-$lang['Deny selected users']     =     'Forbyd valgte brugere';
-$lang['Description']     =     'Beskrivelse';
+$lang['Comments for all'] = 'Kommentarer til alle';
+$lang['Current name'] = 'Nuværende navn';
+$lang['Database'] = 'Database';
+$lang['Deactivate'] = 'Deaktiver';
+$lang['Delete Representant'] = 'Slet Representant';
+$lang['Delete selected tags'] = 'Slet valgte tags';
+$lang['Delete selected users'] = 'Slet valgte brugere';
+$lang['Deletions'] = 'Sletninger';
+$lang['Deny selected groups'] = 'Forbyd udvalgte grupper';
+$lang['Deny selected users'] = 'Forbyd valgte brugere';
+$lang['Description'] = 'Beskrivelse';
 $lang['Display options'] = 'Vis muligheder';
-$lang['Dissociated']     =     'Skille';
-$lang['Does not represent']     =     'Er ikke repræsenterer';
-$lang['Edit selected tags']     =     'Rediger valgte tags';
+$lang['Dissociated'] = 'Skille';
+$lang['Does not represent'] = 'Er ikke repræsenterer';
+$lang['Edit selected tags'] = 'Rediger valgte tags';
 $lang['Edit tags'] = 'Ændre tags';
-$lang['Email admins when a new user registers']     =     'Email admins, når en ny bruger registrerer sig';
-$lang['Email admins when a valid comment is entered']     =     'Email admins når en gyldig kommentar er opført';
-$lang['Email admins when a comment requires validation']     =     'Email admins, når en kommentar kræver validering';
-$lang['Environment']     =     'Miljø';
-$lang['Form']     =     'Form';
-$lang['Gallery title']     =     'Gallery titel';
-$lang['Grant selected groups']     =     'Tildel valgte grupper';
-$lang['Grant selected users']     =     'Tildel valgte brugere';
-$lang['Group name']     =     'Gruppe navn';
-$lang['Groups']     =     'Grupper';
-$lang['Guests']     =     'Gæster';
-$lang['History']     =     'Historie';
+$lang['Email admins when a new user registers'] = 'Email admins, når en ny bruger registrerer sig';
+$lang['Email admins when a valid comment is entered'] = 'Email admins når en gyldig kommentar er opført';
+$lang['Email admins when a comment requires validation'] = 'Email admins, når en kommentar kræver validering';
+$lang['Environment'] = 'Miljø';
+$lang['Form'] = 'Form';
+$lang['Gallery title'] = 'Gallery titel';
+$lang['Grant selected groups'] = 'Tildel valgte grupper';
+$lang['Grant selected users'] = 'Tildel valgte brugere';
+$lang['Group name'] = 'Gruppe navn';
+$lang['Groups'] = 'Grupper';
+$lang['Guests'] = 'Gæster';
+$lang['History'] = 'Historie';
 $lang['Informations'] = 'Informationer';
-$lang['Install']     =     'Installer';
-$lang['Link all album photos to a new album']     =     'Link alle Kategori elementer til en ny Kategori';
-$lang['Link all album photos to some existing albums']     =     'Link alle Kategori elementer til nogle eksisterende kategorier';
-$lang['Linked albums']     =     'Linkede kategorier';
-$lang['Lock gallery']     =     'Lås galleri';
-$lang['Maintenance']     =     'Vedligeholdelse';
-$lang['Edit album permissions']     =     'Administrer tilladelser for en Kategori';
-$lang['Manage permissions for group "%s"']     =     'Administrer tilladelser til gruppen \'% s \'';
-$lang['Manage permissions for user "%s"']     =     'Administrer tilladelser for brugeren \'% s \'';
-$lang['Manage tags']     =     'Administrer tags';
-$lang['Members']     =     'Medlemmer';
-$lang['Metadata synchronized from file']     =     'Metadata synkroniseret fra fil';
-$lang['Move albums']     =     'Flyt kategorier';
-$lang['Move']     =     'Flyt';
-$lang['Name']     =     'Navn';
+$lang['Install'] = 'Installer';
+$lang['Link all album photos to a new album'] = 'Link alle Kategori elementer til en ny Kategori';
+$lang['Link all album photos to some existing albums'] = 'Link alle Kategori elementer til nogle eksisterende kategorier';
+$lang['Linked albums'] = 'Linkede kategorier';
+$lang['Lock gallery'] = 'Lås galleri';
+$lang['Maintenance'] = 'Vedligeholdelse';
+$lang['Edit album permissions'] = 'Administrer tilladelser for en Kategori';
+$lang['Manage permissions for group "%s"'] = 'Administrer tilladelser til gruppen \'% s \'';
+$lang['Manage permissions for user "%s"'] = 'Administrer tilladelser for brugeren \'% s \'';
+$lang['Manage tags'] = 'Administrer tags';
+$lang['Members'] = 'Medlemmer';
+$lang['Metadata synchronized from file'] = 'Metadata synkroniseret fra fil';
+$lang['Move albums'] = 'Flyt kategorier';
+$lang['Move'] = 'Flyt';
+$lang['Name'] = 'Navn';
 $lang['New name']     =     'Nyt navn';
 $lang['New parent album']     =     'Ny Kategori';
@@ -220,9 +220,7 @@
 $lang['Lock'] = 'Lås';
 $lang['Locked'] = 'Låst';
-$lang['manage album photos']     =     'Administrer Kategori elementer';
-$lang['manage sub-albums']     =     'Administrer sub-kategorier';
-$lang['Manage']     =     'Administrer';
-$lang['maximum height']     =     'Maksimal højde';
-$lang['maximum width']     =     'Maksimal bredde';
+$lang['manage album photos'] = 'Administrer Kategori elementer';
+$lang['manage sub-albums'] = 'Administrer sub-kategorier';
+$lang['Manage'] = 'Administrer';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].']     =     'Gennemførelsestid er ude, skal behandlingen fortsætte [Forventet tid: %d sekunder].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].']     =     'Execution tid overskrides, skal behandlingen fortsætte [Forventet tid: %d sekunder].';
@@ -310,8 +308,7 @@
 $lang['A local listing.xml file has been found for']     =     'En lokal listing.xml fil er blevet fundet for';
 $lang['read local listing.xml and update']     =     'Læse lokale listing.xml og ajourføring';
-$lang['test']     =     'Test';
-$lang['test this remote site']     =     'Test har denne remot side';
-$lang['Remote site url must start by http or https and must only contain characters among \'/\', \'a-zA-Z0-9\', \'-\' or \'_\'']     =     'Remote site url skal starte med at http eller https og må kun indeholde tegn mellem \' / \', \' a-zA-Z0-9 \', \' - \'eller \' _ \'';
-$lang['remove tags']     =     'Fjerne tags';
+$lang['test'] = 'Test';
+$lang['test this remote site'] = 'Test har denne remot side';
+$lang['remove tags'] = 'Fjerne tags';
 $lang['Repair and optimize database']     =     'Reparation og optimere databasen';
 $lang['selection']     =     'Udvælgelse';
@@ -339,22 +336,15 @@
 $lang['Edit album']     =     'Edit en Kategori';
 $lang['Group management']     =     'Grupper forvaltning';
-$lang['User list']     =     'Brugere liste';
-$lang['Edit photo information']     =     'Rediger billede information';
-$lang['Thumbnail creation']     =     'Thumbnail oprettelse';
-$lang['Database synchronization with files']     =     'Database synkronisering med filer';
-$lang['all']     =     'Alle';
-$lang['photos without thumbnail (jpeg and png only)']     =     'Billeder uden thumbnail (jpeg og png only)';
-$lang['height must be a number superior to']     =     'Højde skal være et tal større end';
-$lang['width must be a number superior to']     =     'Bredde skal være et tal større end';
-$lang['for the file format']     =     'For filformatet';
-$lang['No missing thumbnail']     =     'Ingen manglende thumbnail';
-$lang['Photo unreachable or no support']     =     'Picture utilgængelig eller ikke understøttet format';
-$lang['GD version']     =     'GD version';
-$lang['generated in']     =     'Genereret i';
-$lang['Results of miniaturization']     =     'Miniaturisering proces resultater';
-$lang['General statistics']     =     'General statistikker';
-$lang['max time']     =     'Max tid';
-$lang['average time']     =     'Gennemsnitlige tid';
-$lang['min time']     =     'Min tid';
+$lang['User list'] = 'Brugere liste';
+$lang['Edit photo information'] = 'Rediger billede information';
+$lang['Database synchronization with files'] = 'Database synkronisering med filer';
+$lang['all'] = 'Alle';
+$lang['height must be a number superior to'] = 'Højde skal være et tal større end';
+$lang['width must be a number superior to'] = 'Bredde skal være et tal større end';
+$lang['for the file format'] = 'For filformatet';
+$lang['Photo unreachable or no support'] = 'Picture utilgængelig eller ikke understøttet format';
+$lang['GD version'] = 'GD version';
+$lang['General statistics'] = 'General statistikker';
+$lang['average time'] = 'Gennemsnitlige tid';
 $lang['number of miniaturized photos']     =     'Antal skabte thumbnails';
 $lang['total time']     =     'Total tid';
@@ -448,5 +438,4 @@
 $lang['guest']     =     'Gæst';
 $lang['default values']     =     'Default værdier';
-$lang['High filesize']     =     'Høj opløsning filstørrelsen';
 $lang['Guest cannot be deleted']     =     'Gæst kan ikke slettes';
 $lang['Default user cannot be deleted']     =     'Default bruger kan ikke slettes';
@@ -642,5 +631,4 @@
 $lang['Activate Navigation Thumbnails']     =     'Aktiver navigation thumbnails ';
 $lang['Activate icon "%s"']     =     'Aktiver ikonet \'%s\'';
-$lang['Activate field "%s"']     =     'Aktiver feltet \'%s\'';
 $lang['Photo Properties']     =     'Foto egenskaber';
 $lang['Allow user customization']     =     'Tillad brugertilpasning';
@@ -756,5 +744,3 @@
 $lang['... or '] = '... eller ';
 
-
-
 ?>
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 12961)
+++ /trunk/language/da_DK/common.lang.php	(revision 12962)
@@ -364,3 +364,22 @@
 $lang['IPTC Metadata'] = 'IPTC Metadata';
 $lang['Edit'] = 'Edit';
+$lang['Hello %s,'] = 'Hej %s,';
+$lang['Send my connection settings by email'] = 'Send mine instillinger med email';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Du er registreret, du vil snart modtage en mail med dine informationer. Velkommen!';
+$lang['Username modification'] = 'Brugernavn ændring';
+$lang['Your username has been successfully changed to : %s'] = 'Dit brugernavn er ændret til: %s';
+$lang['square'] = 'Kvadrat';
+$lang['thumb'] = 'Thumb';
+$lang['small'] = 'Small';
+$lang['medium'] = 'Medium';
+$lang['large'] = 'Large';
+$lang['xlarge'] = 'XLarge';
+$lang['xxlarge'] = 'XXLarge';
+$lang['original'] = 'Original';
+$lang['Thank you for registering at %s!'] = 'Tak for din registrering hos %s!';
+$lang['Here are your connection settings'] = 'Her er dine login informationer';
+$lang['Password: %s'] = 'Password: %s';
+$lang['Username: %s'] = 'Brugernavn: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Hvis du tror du har modtaget denne email ved en fejl kontakt os på %s';
+
 ?>