Index: /extensions/SmartAlbums/language/nl_NL/description.txt
===================================================================
--- /extensions/SmartAlbums/language/nl_NL/description.txt	(revision 12965)
+++ /extensions/SmartAlbums/language/nl_NL/description.txt	(revision 12965)
@@ -0,0 +1,1 @@
+Maak op een gebruikersvriendelijke manier albums aan met tags, datum en andere criteria.
Index: /extensions/SmartAlbums/language/nl_NL/index.php
===================================================================
--- /extensions/SmartAlbums/language/nl_NL/index.php	(revision 12965)
+++ /extensions/SmartAlbums/language/nl_NL/index.php	(revision 12965)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/nl_NL/plugin.lang.php	(revision 12965)
+++ /extensions/SmartAlbums/language/nl_NL/plugin.lang.php	(revision 12965)
@@ -0,0 +1,39 @@
+<?php
+
+$lang['%d photos associated to album %s'] = '%d foto\'s gekoppeld aan album %s';
+$lang['No filter selected'] = 'Geen filter geselecteerd';
+$lang['No tag selected'] = 'Geen tag geselecteerd';
+$lang['Date string is malformed'] = 'De datum heeft niet het juiste formaat';
+$lang['Limit must be an integer'] = 'Het limiet moet een geheel getal zijn.';
+$lang['You can\'t use more than one limit'] = 'U kan niet meer dan een limiet gebruiken.';
+$lang['All these tags'] = 'Al deze tags';
+$lang['One of these tags'] = 'Een van deze tags';
+$lang['None of these tags'] = 'Geen van deze tags';
+$lang['Only these tags'] = 'Alleen deze tags';
+$lang['Added on'] = 'Toegevoegd op';
+$lang['Added before'] = 'Toegevoegd voor';
+$lang['Added after'] = 'Toegevoegd na';
+$lang['Created on'] = 'Gemaakt op';
+$lang['Created before'] = 'Gemaakt voor';
+$lang['Created after'] = 'Gemaakt na';
+$lang['%d photo'] = '%d foto';
+$lang['%d photos'] = '%d fotos';
+$lang['tags filter'] = 'tags filter';
+$lang['date filter'] = 'datum filter';
+$lang['limit filter'] = 'limiet filter';
+$lang['Add filters here'] = 'Voeg filters hier toe';
+$lang['This album is a SmartAlbum'] = 'Dit album is een SmartAlbum';
+$lang['Count'] = 'tellen';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Hergenereer fotolijst van dit SmartAlbum'; // Translated "photos list" as "photo-list"
+$lang['Regenerate photos list of all SmartAlbums'] = 'Hergenereer fotolijst van alle SmartAlbums'; // Idem here
+$lang['Update albums on file upload'] = 'Update albums bij het uploaden van bestanden.';
+$lang['(can cause slowdowns on admin pages)'] = '(kan admin pagina\'s vertragen)';
+$lang['All SmartAlbums'] = 'Alle SmartAlbums';
+$lang['Add a SmartAlbum'] = 'Voeg een SmartAlbum toe';
+$lang['SmartAlbum deleted'] = 'SmartAlbum verwijderd';
+$lang['SmartAlbum added'] = 'SmartAlbum toegevoegd';
+$lang['Only SmartAlbums are displayed on this page'] = 'Alleen SmartAlbums worden op deze pagina weergegeven';
+$lang['To order albums please go the main albums management page'] = 'Om albums te bestellen moet u naar de <a href="admin.php?page=cat_list">management pagina</a> van het hoofdalbum gaan.';
+$lang['Don\'t show this message again'] = 'Toon dit bericht niet meer opnieuw';
+
+?>